%define mod_name Module-Metadata
Name:		perl-%{mod_name}
Version:	1.000038
Release:	1
Summary:	Gather package and POD information from perl module files
License:	GPLv1+ or Artistic
URL:		https://metacpan.org/release/%{mod_name}
Source0:	https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{mod_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	findutils make perl perl-generators
Requires:	perl perl(Fcntl)

%description
This module provides a standard way to gather metadata about a .pm file
through (mostly) static analysis and (some) code execution.
When determining the version of a module, the $VERSION assignment is evaled,
as is traditional in the CPAN toolchain.This module provides a standard way
to gather metadata about a .pm file through (mostly) static analysis and
(some) code execution. When determining the version of a module,
the $VERSION assignment is evaled, as is traditional in the CPAN toolchain.

%package help
Summary:  Module::Metadata man page
BuildArch: noarch

%description help
This package provide %{summary}.

%prep
%setup -q -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Module/

%files help
%{_mandir}/man3/Module::Metadata.3*

%changelog
* Wed Mar 27 2024 huyubiao <huyubiao@huawei.com> - 1.000038-1
- upgrade version to 1.000038
  - detects "class" syntax

* Tue Oct 25 2022 huyubiao <huyubiao@huawei.com> - 1.000037-2
- define mod_name to opitomize the specfile

* Mon May 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.000037-1
- Upgrade to 1.000037

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-3
- Change mod of files and add requires

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-2
- Adjust requires

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-1
- Package init
